##############################################################################
#
# Sample hardware data.
#
# $Id: hardware.tpl,v 1.5 2002/07/23 09:36:34 cons Exp $
#
##############################################################################

##############################################################################
#
# cpus
#

structure template cpu_intel_p3_800;
"vendor" = "Intel";
"model"  = "Pentium III (Coppermine)";
"speed"  = 796.550; # MHz

structure template cpu_intel_p3_850;
"vendor" = "Intel";
"model"  = "Pentium III (Coppermine)";
"speed"  = 853.220; # MHz

##############################################################################
#
# disks
#

structure template disk_quantum_fireballp_as20_5;
"type"     = "disk";
"vendor"   = "QUANTUM";
"model"    = "FIREBALLP AS20.5";
"size"     = 19596; # MB

structure template disk_ibm_dtla_307030;
"type"     = "disk";
"vendor"   = "IBM";
"model"    = "DTLA-307030";
"size"     = 29314; # MB

##############################################################################
#
# cdroms
#

structure template cdrom_lg_crd_8521b;
"type"     = "cd";
"vendor"   = "LG";
"model"    = "CRD-8521B";

##############################################################################
#
# network cards
#

structure template network_3com_3c905b;
"type"     = "net";
"vendor"   = "3Com";
"model"    = "3c905B-Combo [Deluxe Etherlink XL 10/100]";
"driver"   = "3c59x";

structure template network_intel_82557;
"type"     = "net";
"vendor"   = "Intel";
"model"    = "82557 [Ethernet Pro 100]";
"driver"   = "eepro100";

##############################################################################
#
# computers
#

structure template pc_elonex_850_256;
"vendor"       = "Elonex";
"model"        = "850/256";
"cpus"         = list(create("cpu_intel_p3_850"));
"memory/size"  = 256; # MB
"devices/hda"  = create("disk_quantum_fireballp_as20_5");
"devices/hdc"  = create("cdrom_lg_crd_8521b");
"devices/eth0" = create("network_3com_3c905b");

structure template pc_elonex_800x2_512;
"vendor"       = "Elonex";
"model"        = "800x2/512";
"cpus"         = list(create("cpu_intel_p3_800"), create("cpu_intel_p3_800"));
"memory/size"  = 512; # MB
"devices/hda"  = create("disk_ibm_dtla_307030");
"devices/eth0" = create("network_intel_82557");
