##############################################################################
#
# Sample system data.
#
# $Id: system.tpl,v 1.3 2002/07/26 09:47:03 cons Exp $
#
##############################################################################

##############################################################################
#
# standard mounts
#

structure template mount_afs;
"path"    = "/afs";
"type"    = "afs";

structure template mount_proc;
"path"    = "/proc";
"type"    = "proc";

structure template mount_devpts;
"path"    = "/dev/pts";
"type"    = "devpts";
"options" = list("gid=5", "mode=620");

structure template mount_floppy;
"device"  = "fd0";
"path"    = "/mnt/floppy";
"type"    = "ext2";
"options" = list("noauto", "owner");

structure template mount_cdrom;
"device"  = undef;
"path"    = "/mnt/cdrom";
"type"    = "iso9660";
"options" = list("noauto", "owner", "ro");

##############################################################################
#
# mounting templates
#

# add the standard Linux mount entries
template mounting_linux;
"/system/mounts" = merge(value("/system/mounts"), list(
  create("mount_proc"),
  create("mount_devpts"),
  create("mount_floppy"),
));

# add the AFS mount entry
template mounting_afs;
"/system/mounts" = merge(value("/system/mounts"), list(create("mount_afs")));
