##############################################################################
#
# Sample object template.
#
# $Id: sample.tpl,v 1.4 2002/08/12 07:57:49 cons Exp $
#
##############################################################################

object template sample;

# standard includes
include types;
include functions;

# hardware information
"/hardware" = create("pc_elonex_850_256");
"/hardware/serial" = "CH01112041";
"/hardware/devices/eth0/address" = "00:d0:b7:a9:a3:47";

# system information
"/system/partitions" = simple_partitions("hda");
"/system/mounts/0" = nlist("type" , "swap", "path", "swap", "device", "hda1");
"/system/mounts/1" = nlist("type" , "ext2", "path", "/",    "device", "hda2");
"/system/mounts/2" = nlist("type" , "ext2", "path", "/var", "device", "hda3");
include mounting_linux;
include mounting_afs;

# we also add a mount entry for our CD drive...
"/system/mounts" = merge(value("/system/mounts"),
                         list(create("mount_cdrom", "device", "hdc")));
# ...and make sure that hdc indeed contains a CD drive!
valid "/hardware/devices/hdc" = self["type"] == "cd";
